| LIRC libraries LinuxInfraredRemoteControl

Data Fields
lengths_state Struct Reference

`#include <irrecord.h>`

## Data Fields
int | keypresses_done
int | keypresses
int | retval
int | count
lirc_t | data
lirc_t | average
lirc_t | maxspace
lirc_t | sum
lirc_t | remaining_gap
lirc_t | header
int | first_signal
enum analyse_mode | mode

## Detailed Description

State in get_lengths(), private besides commented.

Definition at line 198 of file irrecord.h.

## Field Documentation

## § count

int lengths_state::count

Number of processed data items.

Definition at line 205 of file irrecord.h.

## § keypresses

int lengths_state::keypresses

Number of counted button presses.

Definition at line 202 of file irrecord.h.

## § keypresses_done

int lengths_state::keypresses_done

Number of printed keypresses.

Definition at line 200 of file irrecord.h.

## § sum

lirc_t lengths_state::sum

Number of bits accounted for in signal.

Definition at line 210 of file irrecord.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/irrecord.h (d408bab 2016-01-06 15:32:15 +0100)